Subject: Re: 2.6.36-rc4/iwl: warning triggered in net/mac80211/scan.c:266

From: Johannes Berg <[email-masked]>
Date: Tue, 14 Sep 2010 21:43:10 +0200

On Tue, 2010-09-14 at 17:14 +0200, Michael S. Tsirkin wrote:

> > No, it shouldn't happen. But there are various races in iwlwifi that can
> > cause this. Stanislaw has fixed them recently, but it's a fairly large
> > patchset. I'm not sure, but I don't think this is really new in .36.

> So ... get back to you after 2.6.37?

Err, yes, I guess so, though I suppose it doesn't really solve the
problem. This particular instance should be harmless though, I believe,
other than the warning.

johannes